Bug 458671

Summary: sending packets with wrong format on XIM_QUERY_EXTENSION_REPLY
Product: [Fedora] Fedora Reporter: Akira TAGOH <tagoh>
Component: gcinAssignee: Chung-Yen Chang <candyz0416>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 10CC: i18n-bugs, petersen
Target Milestone: ---Keywords: i18n, MoveUpstream
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-23 00:43:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Akira TAGOH 2008-08-11 10:20:14 EDT
Description of problem:
from XIM specification, the packet syntax for XIM_QUERY_EXTENSION is defined as:


2    CARD16       input-method ID
2    n            byte length of extensions supported
                  by both the IM library and the IM Server.
n    LISTofEXT    list of extensions supported by
                  both the IM library and the IM Server.

also EXT is defined as:


1    CARD8        extension major-opcode
1    CARD8        extension minor-opcode
2    n            length of extension name
n    STRING8      extension name
p                 unused, p = Pad(n)

This is a dump code what gcin sent back to the client:
D:[transport/summary] 0x6a0003d <- opcode: XIM_QUERY_EXTENSION_REPLY(major: 41, minor 0) length: 36
D:[transport/dump]  0  1  2  3  4  5  6  7  8  9  A  B  C  D  E  F 0123456789ABCDEF
D:[transport/dump] --+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--=----------------
D:[transport/dump] 29:00:08:00:03:00:1c:00:80:00:30:00:16:00:58:49 ).........0...XI
D:[transport/dump] 4d:5f:45:58:54:5f:53:45:54:5f:45:56:45:4e:54:5f M_EXT_SET_EVENT_
D:[transport/dump] 4d:41:53:4b                                     MASK

Apparently it doesn't follow the above syntax.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run X application with XMODIFIERS=@im=gcin
2.monitor the packets on XIM protocol.
Actual results:
the client got the wrong packets and can't use the extensions then.

Expected results:
should receives the proper reply.

Additional info:
Comment 1 Tony Fu 2008-09-09 23:08:41 EDT
requested by Jens Petersen (#27995)
Comment 2 Akira TAGOH 2008-10-14 00:57:32 EDT
For reference, see Bug#457566
Comment 3 Jens Petersen 2008-10-20 23:40:06 EDT
Candyz, if you could pass this info to upstream that would be helpful.
Comment 4 Bug Zapper 2009-06-09 22:25:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Akira TAGOH 2009-06-23 00:43:58 EDT
After looking at the diffs among the released archives, this issue seems to be fixed in 1.4.3. so closing this since we've shipped 1.4.5 in F-10 updates.